OTXplorer System Requirements

Software
1. Microsoft® Internet Explorer® (version 7.0 or higher). Support for other browsers is to be available soon.

Getting Started

Find how to get started to work with OTXplorer here.

Please refer to Collaborative Document Repository Manual for more information on how to manage collaborative documents.

Learn More

Find out more about OTXplorer in details on these following documents:
1. OTXplorer Interface
2. OTXplorer User Manual
3. Lookup Table